require "Window"
 
local SlashVisit = {} 
 
function SlashVisit:new(o)
    o = o or {}
    setmetatable(o, self)
    self.__index = self 
    return o
end

function SlashVisit:Init()
    Apollo.RegisterAddon(self)
end
 
function SlashVisit:OnLoad()
    Apollo.RegisterSlashCommand("visit", "OnSlashVisitOn", self)
    Apollo.RegisterSlashCommand("home", "OnSlashVisitOn", self)
    Apollo.RegisterSlashCommand("vi", "OnSlashVisitOn", self)
    Apollo.RegisterSlashCommand("h", "OnSlashVisitOn", self)
end

-- on SlashCommand "/visit"
function SlashVisit:OnSlashVisitOn(cmd, args)
    if HousingLib.IsHousingWorld() == false then
        ChatSystemLib.PostOnChannel(2,"You have to be on your plot to visit people")
        return
    end

    playerName = string.lower(GameLib.GetPlayerUnit():GetName())
    targetName = string.lower(args)
    unmodifiedTarget = args

    if playerName == targetName or cmd == "home" or cmd == "h" then
    	HousingLib.RequestTakeMeHome()
    	return
    end

    local neighbors=HousingLib.GetNeighborList()
    for i=1,#neighbors do
        neighborName = string.lower(neighbors[i].strCharacterName)
        if neighborName == targetName then
            HousingLib.VisitNeighborResidence(neighbors[i].nId)
            return
        end
    end
    ChatSystemLib.PostOnChannel(2,"Couldn't find '" .. unmodifiedTarget .. "' in your neighbor list")
end

local SlashVisitInst = SlashVisit:new()
SlashVisitInst:Init()